=== debian/changelog ===
libvirt (9.0.0-4+mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * libvirt-daemon-system: give priority to its libvirt-daemon-system-sysv
    alternative dependency on MX.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Jan 2024 19:51:02 -0800

libvirt (9.0.0-4) unstable; urgency=medium

  * [79f6669] patches: Add backports
    - backport/virpci-Resolve-leak-in-virPCIVirtualFunctionList-cleanup.patch
      - Fixes CVE-2023-2700 (Closes: #1036297)

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 21 May 2023 11:31:31 +0200

libvirt (9.0.0-3) unstable; urgency=medium

  * [56bee71] patches: Add backports
    - backport/conf-Fix-migration-in-some-firmware-autoselection-scenari.patch
  * [4cdee74] debconf: Add Spanish translation
    - Thanks to Jonathan Bustillos (Closes: #986773)
  * [1e520e5] debconf: Add Italian translation
    - Thanks to Ceppo (Closes: #1019161)
  * [12619ec] debconf: Add Romanian translation
    - Thanks to Remus-Gabriel Chelu (Closes: #1032335)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 15 Apr 2023 18:27:51 +0200

libvirt (9.0.0-2) unstable; urgency=medium

  * [de81410] patches: Add backports
    - backport/qemu_domain-Don-t-unref-NULL-hash-table-in-qemuDomainRefr.patch
      - Closes: #1030671
    - backport/qemu-Jump-to-cleanup-label-on-umount-failure.patch
    - backport/qemu_namespace-Deal-with-nested-mounts-when-umount-ing-de.patch
    - backport/qemuProcessRefreshDisks-Don-t-skip-filling-of-disk-inform.patch
    - backport/qemu_extdevice-Do-cleanup-host-only-for-VIR_DOMAIN_TPM_TY.patch
    - backport/qemu-blockjob-Handle-pending-blockjob-state-only-when-we-.patch
    - backport/rpc-client-Don-t-check-return-value-of-virNetMessageNew.patch
    - backport/rpc-Don-t-warn-about-max_client_requests-in-single-thread.patch
  * [699a828] patches: Disable passt support
    - debian/patches/debian/Disable-passt-support.patch
      - The feature is not quite ready for prime time yet, so it will remain
        disabled in bookworm

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 26 Feb 2023 18:18:30 +0100

libvirt (9.0.0-1) unstable; urgency=medium

  * [45d077a] libvirt-daemon-system: Make default files functionally empty
    - On systems running systemd, libvirtd will now follow the upstream
      behavior of starting on demand via socket activation and shutting down
      automatically after having been idle for 120 seconds
  * [40fe229] Drop obsolete package transition logic
    - The oldest version that we expect to be upgrading from is 6.0.0-1
  * [5bb56e9] Drop obsolete UML-related files
    - The UML driver was dropped in version 5.0.0-1
  * [f9f3a4d] New upstream version 9.0.0
  * [30dad26] patches: Drop obsolete backports
  * [157a5ec] patches: Add backports
    - backport/apparmor-Allow-umount-dev.patch
    - backport/qemu_interface-Fix-managed-no-case-when-creating-an-ether.patch
  * [94f11a4] libvirt-daemon-sysv: Remove dependency on lsb-base
    - The package is obsolete

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 28 Jan 2023 17:03:53 +0100

libvirt (8.10.0-3) unstable; urgency=medium

  [ Michael Biebl ]
  * [4d6db56] Replace manual maintscript code with dh_installsystemd
    - No longer needed now that #994204 has been addressed
    - Closes: #1021956
  * [91d9ac0] Drop no longer supported static priorities from dh_installinit

  [ Smits Katze ]
  * [60b2ca1] libnss-libvirt: Update apt seccomp filter
    - Allow getdents64() in addition to getdents()
    - Thanks to Thomas Luzat
    - Closes: #934474

  [ Andrea Bolognani ]
  * [b9b2923] libvirt-daemon-system: Depend on polkitd instead of policykit-1
    - Makes it possible to not install / uninstall pkexec
    - Closes: #1025578
  * [c62b8b2] libvirt-daemon-system: Drop polkit rules in legacy pkla format
    - Makes it possible to not install / uninstall polkitd-pkla
  * [8c5870d] control: Bump Standards-Version to 4.6.2
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 04 Jan 2023 22:09:31 +0100

libvirt (8.10.0-2) experimental; urgency=medium

  * [145e4fe] patches: Add backports
    - backport/docs-Fix-typo-in-virt-qemu-sev-validate-1.patch
    - backport/tools-Fix-interpreter-for-virt-qemu-sev-validate.patch
    - backport/tools-Fix-style-issues-in-virt-qemu-sev-validate.patch
  * [409e40a] libvirt-clients-qemu: New binary package
    - Contains QEMU-specific tools
    - Depends on Python
  * [bf99e82] libvirt-l10n: New binary package
    - Contains translations
    - Can be safely uninstalled to reduce disk footprint

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 12 Dec 2022 23:03:13 +0100

libvirt (8.10.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * [efe753f] qemu: Recommend swtpm for TPM emulation (Closes: #1009972)

  [ Andrea Bolognani ]
  * [7dc1e3c] New upstream version 8.10.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 07 Dec 2022 17:20:19 +0100

libvirt (8.9.0-1) unstable; urgency=medium

  * [981c332] New upstream version 8.9.0
  * [3f29856] control: Add (build) dependency on mount
    - Closes: #1023420

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 19 Nov 2022 23:00:34 +0100
